// =====================================================================
//  $Id: Bt00EventAction.hh,v 1.5 2004/03/04 14:55:45 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: Bt00EventAction.hh,v $
//  Revision 1.5  2004/03/04 14:55:45  goiwai
//  Actionクラスの関数名変更したので。
//
//  Revision 1.4  2004/01/19 21:10:26  goiwai
//  プリプロセッサの接頭辞をCLDAQ__に変更しました.
//
//  Revision 1.3  2003/10/06 16:28:14  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:13:49  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef CLDAQ__BT00EVENTACTION_HH
#define CLDAQ__BT00EVENTACTION_HH

#include "TEventAction.hh"

class TDataRecord;

class Bt00EventAction
  : public TEventAction
{

  public:
    Bt00EventAction();
    ~Bt00EventAction();

  public:
    TReadoutList* WaitTrigger();
    Tvoid AtFirst( TEvent& anEvent );
    Tvoid AtLast( TEvent& anEvent );

  private:
    Tvoid fillCsIEventInformation( const TDataRecord& record );
    Tvoid fillScalerEventInformation( const TDataRecord& record );

};

#endif
